
import 'package:flutter/material.dart';
import 'package:mc_common_app/utils/utils.dart';

class CircularImage extends StatelessWidget {
  final double? w, h, padding;
  final String? image;

  const CircularImage({Key? key, this.w, this.h, this.image, this.padding}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: w ?? 120,
      height: h ?? 120,
      child: Card(
        shape: Utils.cardRadius(2000),
        clipBehavior: Clip.antiAlias,
        elevation: 4,
        child: Card(
          shape: Utils.cardRadius(2000),
          clipBehavior: Clip.antiAlias,
          elevation: 0,
          margin: EdgeInsets.all(padding ?? 0),
          child: Image.asset(image ?? "" + "green.jpg"),
        ),
      ),
    );
  }
}
